using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ClipClop.User
{
	class XmlContextMenuReader : IContextMenuReader
	{
		XmlCipheredDocument doc_;

		public XmlCipheredDocument GetDocument()
		{
			return this.doc_;
		}


		/// <summary>
		/// 読み込み処理。何かあると例外投入する。
		/// </summary>
		/// <param name="filePath"></param>
		public void Read(string filePath)
		{
			doc_ = new XmlCipheredDocument();
			doc_.Read(filePath);
		}
	}
}
